{
  "name": "dwd_recsys_alg_sample_all_20250212",
  "project": "loghubods",
  "comment": "推荐全量样本表[20250212版]",
  "columns": [
    {
      "name": "apptype",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "uid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "mid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "vid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "sessionid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "subsessionid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "pagesource",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "page",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "recommendlogvo",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "abcode",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "recommendpagetype",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "recomtraceid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "headvideoid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "rootsourceid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "hotsencetype",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "flowpool",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "level",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "clientip",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "brand",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "model",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "system",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "wechatversion",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "sdkversion",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "province",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "city",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "ts",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "is_share",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "share_cnt",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "is_return_1",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_1_pv",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_1_uv",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_1_mids",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "is_return_n",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_n_pv",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_n_uv",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_n_mids",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "is_return_noself",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_1_uv_noself",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_1_mids_noself",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "is_return_n_noself",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_n_uv_noself",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_n_mids_noself",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "new_exposure_cnt",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "extend",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "score",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "extend_alg",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "allfeaturemap",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "metafeaturemap",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "v1_feature",
      "type": "STRING",
      "comment": "待排序视频基础信息"
    },
    {
      "name": "v2_feature",
      "type": "STRING",
      "comment": "头部视频基础信息"
    },
    {
      "name": "b1_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "b2_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "b3_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "b4_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "b5_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "b6_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "b7_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "b8_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "b9_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "b10_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "b11_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "b12_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "b13_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "c1_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "c2_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "c3_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "c4_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "c5_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "c6_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "c7_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "c8_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "c9_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "d1_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "d2_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "d3_feature",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "dt",
      "type": "STRING",
      "comment": "天"
    },
    {
      "name": "hh",
      "type": "STRING",
      "comment": "小时"
    }
  ],
  "partition_keys": [
    {
      "name": "dt",
      "type": "STRING",
      "comment": "天"
    },
    {
      "name": "hh",
      "type": "STRING",
      "comment": "小时"
    }
  ],
  "dataworks_tasks": [
    {
      "id": 1023840988,
      "name": "00_推荐特征sample表_20250212"
    }
  ],
  "upstream_tables": [
    "loghubods.alg_channel_recommend_exp_feature_20250212",
    "loghubods.alg_festive_recommend_exp_feature_20250212",
    "loghubods.alg_merge_cate1_recommend_exp_feature_20250212",
    "loghubods.alg_merge_cate2_recommend_exp_feature_20250212",
    "loghubods.alg_mid_feature_return_tags",
    "loghubods.alg_mid_feature_returncf",
    "loghubods.alg_mid_feature_share_tags",
    "loghubods.alg_mid_feature_sharecf",
    "loghubods.alg_recsys_feature_cf_i2i_v2",
    "loghubods.alg_recsys_feature_user_share_return_stat",
    "loghubods.alg_vid_apptype_recommend_exp_feature_20250212",
    "loghubods.alg_vid_brand_recommend_exp_feature_20250212",
    "loghubods.alg_vid_feature_basic_info",
    "loghubods.alg_vid_global_feature_20250212",
    "loghubods.alg_vid_hotsencetype_recommend_exp_feature_20250212",
    "loghubods.alg_vid_long_period_recommend_exp_feature_20250212",
    "loghubods.alg_vid_province_recommend_exp_feature_20250212",
    "loghubods.alg_vid_recommend_exp_feature_20250212",
    "loghubods.alg_vid_recommend_flowpool_exp_feature_20250212",
    "loghubods.alg_video_unionid_recommend_exp_feature_20250212",
    "loghubods.dwd_recsys_alg_exposure_base_20250108",
    "loghubods.mid_global_feature_20250212",
    "loghubods.scene_type_vid_cf_feature_20250212",
    "loghubods.statistics_log_hour",
    "loghubods.vid_click_cf_feature_20250212"
  ]
}